
<div class="map-container">
  <div class="map-frame">
    <div id="map"></div>
  </div>
  <app-map-filter>
  </app-map-filter>
</div>

<ng-container *ngIf="fmService.itemInfoPopover$ | async as markerDetails">
  <app-info-card
    *ngIf="isProfileMarker(markerDetails)"
    [data]="markerDetails"
    [mapType]="'profile'"
    [mediaEndpoint]="mediaEndpoint"
    (closeCard)="fmService.deactivateItemInfoPopover()">
  </app-info-card>

  <app-info-card
    *ngIf="isNetworkMarker(markerDetails)"
    [data]="markerDetails"
    [mapType]="'network'"
    [mediaEndpoint]="mediaEndpoint"
    (closeCard)="fmService.deactivateItemInfoPopover()">
  </app-info-card>

  <app-info-card
    *ngIf="isClusterMarker(markerDetails)"
    [data]="markerDetails"
    [mapType]="'cluster'"
    [mediaEndpoint]="mediaEndpoint"
    (closeCard)="fmService.deactivateItemInfoPopover()"
    (openClusterDialog)="openClusterDialog($event)">
  </app-info-card>

</ng-container>
